From e9b413ef9b4e0eb716ab310efd0c065ada3742c6 Mon Sep 17 00:00:00 2001
From: Wei Huang <wei@redhat.com>
Date: Sat, 28 May 2016 02:55:42 +0200
Subject: Add PCIe bridge devices for AArch64

RH-Author: Wei Huang <wei@redhat.com>
Message-id: <1464404143-31188-2-git-send-email-wei@redhat.com>
Patchwork-id: 70497
O-Subject: [RHEV-7.3 qemu-kvm-rhev PATCH V2 1/2] Add PCIe bridge devices for AArch64
Bugzilla: 1326420
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Laurent Vivier <lvivier@redhat.com>
RH-Acked-by: Andrew Jones <drjones@redhat.com>

Old AArch64 QEMU only supports virtio-mmio devices. Because of this we
disabled many PCIe bridge devices. But in RHEL 7.3, we are expanding
the support for virtio-pci. This patch enables XIO and IOH devices to
support building either PCIe root port or PCIe switch.

Signed-off-by: Wei Huang <wei@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
(cherry picked from commit 8853fdad5470db88a1cd93ee0c7b4afbc6cab6f2)

Rebase notes (2.9.0):
- Add option CONFIG_PCIE_PORT for aarch64 (enabled on other architectures)

(cherry picked from commit e5797d741f98b685c865b6ecac7b3927cd027e4b)
---
 default-configs/aarch64-softmmu.mak | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/default-configs/aarch64-softmmu.mak b/default-configs/aarch64-softmmu.mak
index 38e9291..118b861 100644
--- a/default-configs/aarch64-softmmu.mak
+++ b/default-configs/aarch64-softmmu.mak
@@ -21,3 +21,6 @@ CONFIG_SMBIOS=y
 CONFIG_PL061=y
 CONFIG_GPIO_KEY=y
 CONFIG_ARM_V7M=y
+CONFIG_PCIE_PORT=y
+CONFIG_XIO3130=y
+CONFIG_IOH3420=y
-- 
1.8.3.1

